package com.dxhy.sign.util;

import org.apache.commons.lang.StringUtils;

/**
 * @author peipei.li * @date 2019-05-09
 */
public class CompareNameUtils {

    /**
     * 购方名称、原名称与机构对比
     *
     * @param gfName
     *            购方名称
     * @param orgName
     *            机构名称
     * @param extfl
     *            旧购方名称
     * @return 返回结果
     */
    public static Boolean compareName(String gfName, String orgName, String extfl) {
        return (StringUtils.isNotBlank(gfName) && StringUtils.isNotBlank(orgName)
            && changeBrackets(gfName).equals(changeBrackets(orgName)))
            || (StringUtils.isNotBlank(gfName) && StringUtils.isNotBlank(extfl)
                && changeBrackets(gfName).equals(changeBrackets(extfl)));
    }

    /**
     * 购方名称与机构对比
     *
     * @param gfName
     *            购方名称
     * @param orgName
     *            机构名称
     * @return 返回结果
     */
    public static Boolean compareName(String gfName, String orgName) {
        if (StringUtils.isNotBlank(gfName) && StringUtils.isNotBlank(orgName)
            && changeBrackets(gfName).equals(changeBrackets(orgName))) {
            return true;
        }
        return false;
    }

    /**
     * 统一中英文括号
     *
     * @param paramString
     *            参数
     * @return 返回结果
     */
    public static String changeBrackets(String paramString) {
        return paramString.replace("（", "(").replace("(", "(").replace("）", ")").replace(")", ")");
    }

}
